# -*- coding: utf-8 -*-
# This file is part of the markdown-svgbob project
# https://gitlab.com/mbarkhau/markdown-svgbob
#
# Copyright (c) 2019 Manuel Barkhau (mbarkhau@gmail.com) - MIT License
# SPDX-License-Identifier: MIT
"""markdown_svgbob extension.

This is an extension for the python Markdown
libarary which uses svgbob to generate images
from ascii diagrams in fenced code blocks.
"""
from __future__ import absolute_import
from __future__ import division
from __future__ import print_function
from __future__ import unicode_literals
__version__ = 'v201904.0002-beta'
from markdown_svgbob.extension import SvgbobExtension
from markdown_svgbob.wrapper import text2svg, get_svgbob_bin_path


def makeExtension(**kwargs):
    return SvgbobExtension(**kwargs)


__all__ = ['makeExtension', '__version__', 'get_svgbob_bin_path', 'text2svg']
